copy_run {tfruns} | R Documentation

## Copy run directories

### Description

Functions for exporting/copying run directories and run artifact files.

### Usage

    copy_run(run_dir, to = ".", rename = NULL)

    copy_run_files(run_dir, to = ".", rename = NULL)

### Arguments

`run_dir` | Training run directory or data frame returned from `ls_runs()`.
`to` | Name of parent directory to copy run(s) into. Defaults to the current working directory.
`rename` | Rename run directory after copying. If not specified this defaults to the basename of the run directory (e.g. "2017-09-24T10-54-00Z").

### Details

Use `copy_run` to copy one or more run directories.

Use `copy_run_files` to copy only files saved/generated by training run scripts (e.g. saved models, checkpoints, etc.).

### Value

Logical vector indicating which operation succeeded for each of the run directories specified.

### See Also

Other run management: `clean_runs`

### Examples

    ## Not run:

    # export a run directory to the current working directory
    copy_run("runs/2017-09-24T10-54-00Z")

    # export to the current working directory then rename
    copy_run("runs/2017-09-24T10-54-00Z", rename = "best-run")

    # export artifact files only to the current working directory then rename
    copy_run_files("runs/2017-09-24T10-54-00Z", rename = "best-model")

    # export 3 best eval_acc to a "best-runs" directory
    copy_run(ls_runs(order = eval_acc)[1:3,], to = "best-runs")

    ## End(Not run)

[Package tfruns version 1.1 Index]